-- Stored procedure  
-- ===============================================================  
-- Author:  colaianni-consoli  
-- Create date: 28/06/2011  
-- Description: Setta a stato 3 i report con profilo MIFID scaduto   
-- ===============================================================  
CREATE procedure [C6MartPeriodico].[CHECK_PROFILO_SCADUTO]  
AS  
BEGIN  
TRUNCATE TABLE C6MartPeriodico.CONTROLLO_TRIMESTRALE_PROFILO_SCADUTO  
INSERT INTO C6MartPeriodico.CONTROLLO_TRIMESTRALE_PROFILO_SCADUTO  
SELECT a.rete, a.cod_fiscale, a.codicecontratto   
from   
-- Modifica MV 18/04/2015  
--c6martperiodico.rp_vcontrattipergenerazionereport a  
C6stagingPERIODICO.appo_contratti_v a  
inner join C6MARTPERIODICO.MIFID b  
on a.rete = b.rete  
and a.cod_fiscale = b.cod_fiscale  
where b.SCADUTO=1  
UPDATE   
 C6MARTPERIODICO.CONTROLLO_TRIMESTRALE   
SET  
 STATO_REPORT = 3,  
 DATA_TRANSIZIONE = GETDATE()  
WHERE   
 RETE+COD_FISCALE IN  
 (  
  SELECT RETE+COD_FISCALE   
  FROM C6MartPeriodico.CONTROLLO_TRIMESTRALE_PROFILO_SCADUTO  
   )  
--UPDATE   
-- C6MARTPERIODICO.CONTROLLO_TRIMESTRALE   
--SET  
-- STATO_REPORT = 3,  
-- DATA_TRANSIZIONE = GETDATE()  
--WHERE   
-- RETE+COD_FISCALE NOT IN  
-- (  
-- SELECT * FROM C6MARTPERIODICO.MIFID WHERE SCADUTO=1  
-- )  
END